package group_power_cv

import (
	"git.hilo.cn/hilo-common/resource/mysql"
	"hilo-group/_const/enum/groupPower_e"
	"hilo-group/cv/user_cv"
)

// 家族榜单
type CvGroupPowerRank struct {
	MyGroupPower CvGroupPowerRankData   `json:"myGroupPower"`
	Items        []CvGroupPowerRankData `json:"items"`
}

type CvGroupPowerRankData struct {
	GroupPowerId mysql.ID                     `json:"groupPowerId"` // 家族id
	Icon         string                       `json:"icon"`         // 家族图片
	Name         string                       `json:"name"`         // 家族名
	Nameplate    string                       `json:"nameplate"`    // 铭牌
	Grade        groupPower_e.GroupPowerGrade `json:"grade"`        // 等级 0:无 1:青铜 2:白银 3:黄金 4:黑金
	Exp          mysql.Num                    `json:"exp"`          // 经验值
	Rank         int                          `json:"rank"`         // 排名
}

// 家族之星
type CvGroupPowerStarData struct {
	user_cv.CvUserTiny `json:",inline"`
	Score              mysql.Num `json:"score"` // 对应分值
}
